Return All Active Metric Integrations

GET /api/atlas/v2/groups/{groupId}/metricIntegrations

Returns all metric integration configurations for the project. Optionally filter by integration type and provider type.

Role requirements
  • Project Owner

Path parameters

  • groupId string Required

    Unique 24-hexadecimal digit string that identifies your project. Use the /groups endpoint to retrieve all projects to which the authenticated user has access.

    NOTE: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups.

    Format should match the following pattern: ^([a-f0-9]{24})$.

Query parameters

  • envelope boolean

    Flag that indicates whether Application wraps the response in an envelope JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body.

    Default value is false.

  • includeCount boolean

    Flag that indicates whether MongoDB Cloud calculates the total number of items for the response. When set to false, MongoDB Cloud may skip an additional count operation. The response may still include totalCount when the count is available without additional calculation.

    Default value is true.

  • itemsPerPage integer

    Number of items that the response returns per page.

    Minimum value is 1, maximum value is 500. Default value is 100.

  • pageNum integer

    Number of the page that displays the current set of the total objects that the response returns.

    Minimum value is 1. Default value is 1.

  • pretty boolean

    Flag that indicates whether the response body should be in the prettyprint format.

    Default value is false.

    Prettyprint
  • integrationType string

    Optional filter by integration type (e.g., OTEL).

  • providerType string

    Optional filter by provider type (e.g., CUSTOM). When specified, integrationType must also be specified.

Responses

  • 200 application/vnd.atlas.2025-03-12+json

    OK

    Hide headers attributes Show headers attributes
    • RateLimit-Limit

      The maximum number of requests that a user can make within a specific time window.

    • RateLimit-Remaining

      The number of requests remaining in the current rate limit window before the limit is reached.

    Hide response attributes Show response attributes object
    • results array[object] Required

      List of returned documents that MongoDB Cloud provides when completing this request.

      Hide results attributes Show results attributes object

      Response schema for metric integration operations.

      • aggregationTemporality string Required

        The temporality to send to the metric integration.

        Values are DELTA or CUMULATIVE.

      • authType string Required

        Authentication method the integration uses when exporting metrics to the endpoint.

        Values are HEADER or OAUTH2.

      • endpoint string Required

        OpenTelemetry collector endpoint URL.

        Maximum length is 2048.

      • headersRedacted array[object]

        HTTP headers for authentication and configuration. Values are redacted and never returned in plaintext.

        At least 1 but not more than 10 elements.

        Hide headersRedacted attributes Show headersRedacted attributes object

        HTTP header with a redacted value.

        • name string Required

          Header name.

        • value string Required

          Redacted header value.

      • integrationType string Required

        Type of metric integration. Identifies which protocol will be used for the integration.

        Value is OTEL.

      • metricIntegrationId string Required

        Unique identifier of the metric integration configuration.

        Minimum length is 24, maximum length is 24.

      • metricSelection array[string] Required

        Array of metric categories to export. Determines which types of metrics are sent to the integration.

        At least 1 but not more than 30 elements. Values are ATLAS_STREAM_PROCESSING, MONGODB_METRICS, or HARDWARE_METRICS.

      • oauth object

        OAuth 2.0 configuration returned for a metric integration. Secrets are never returned.

        Hide oauth attributes Show oauth attributes object
        • clientAuthMethod string Required

          How the client authenticates to the token endpoint.

          Values are CLIENT_SECRET or PRIVATE_KEY_JWT.

        • clientId string Required

          OAuth 2.0 client identifier registered with the token endpoint.

          Maximum length is 2048.

        • scopes array[string]

          OAuth 2.0 scopes requested on the token.

          Not more than 20 elements. Maximum length of each is 256.

        • signingKeyInfo object

          Read-only metadata for the Atlas-managed signing key used by PRIVATE_KEY_JWT. Present only for that method. Register the jwksUri with your identity provider. Atlas rotates the underlying key without changing this URL.

          Hide signingKeyInfo attributes Show signingKeyInfo attributes object
          • algorithm string

            Signing algorithm of the Atlas-managed key.

          • createdAt string(date-time)

            When the currently active signing key was created. This parameter expresses its value in the ISO 8601 timestamp format in UTC.

          • jwksUri string

            Public JWKS URL serving this integration's signing keys. Fixed for the lifetime of the integration.

          • kid string

            Key ID stamped on client assertions, the SHA-1 thumbprint of the key certificate in uppercase hexadecimal. Changes when Atlas rotates the key.

        • tokenEndpoint string Required

          OAuth 2.0 token endpoint URL.

          Maximum length is 2048.

        • tokenRequestParams object

          Provider-specific parameters added to the token request.

          Hide tokenRequestParams attribute Show tokenRequestParams attribute object
          • * string Additional properties

            Provider-specific parameters added to the token request.

      • providerType string Required

        The provider type for the metric integration. Identifies the third-party service provider.

        Values are CUSTOM, DATADOG, DYNATRACE, or NEW_RELIC.

    • totalCount integer(int32)

      Total number of documents available. When includeCount is set to false, MongoDB Cloud may omit this value or return it when the count is available without additional calculation. The total number is an estimate and may not be exact.

      Minimum value is 0.

  • 400 application/json

    Bad Request.

    Hide response attributes Show response attributes object
    • badRequestDetail object

      Bad request detail.

      Hide badRequestDetail attribute Show badRequestDetail attribute object
      • fields array[object]

        Describes all violations in a client request.

        Hide fields attributes Show fields attributes object
        • description string Required

          A description of why the request element is bad.

        • field string Required

          A path that leads to a field in the request body.

    • detail string | null

      Describes the specific conditions or reasons that cause each type of error.

    • error integer(int32) Required

      HTTP status code returned with this error.

      External documentation
    • errorCode string Required

      Application error code returned with this error.

    • parameters array[object]

      Parameters used to give more information about the error.

    • reason string | null

      Application error message returned with this error.

  • 401 application/json

    Unauthorized.

    Hide response attributes Show response attributes object
    • badRequestDetail object

      Bad request detail.

      Hide badRequestDetail attribute Show badRequestDetail attribute object
      • fields array[object]

        Describes all violations in a client request.

        Hide fields attributes Show fields attributes object
        • description string Required

          A description of why the request element is bad.

        • field string Required

          A path that leads to a field in the request body.

    • detail string | null

      Describes the specific conditions or reasons that cause each type of error.

    • error integer(int32) Required

      HTTP status code returned with this error.

      External documentation
    • errorCode string Required

      Application error code returned with this error.

    • parameters array[object]

      Parameters used to give more information about the error.

    • reason string | null

      Application error message returned with this error.

  • 403 application/json

    Forbidden.

    Hide response attributes Show response attributes object
    • badRequestDetail object

      Bad request detail.

      Hide badRequestDetail attribute Show badRequestDetail attribute object
      • fields array[object]

        Describes all violations in a client request.

        Hide fields attributes Show fields attributes object
        • description string Required

          A description of why the request element is bad.

        • field string Required

          A path that leads to a field in the request body.

    • detail string | null

      Describes the specific conditions or reasons that cause each type of error.

    • error integer(int32) Required

      HTTP status code returned with this error.

      External documentation
    • errorCode string Required

      Application error code returned with this error.

    • parameters array[object]

      Parameters used to give more information about the error.

    • reason string | null

      Application error message returned with this error.

  • 404 application/json

    Not Found.

    Hide response attributes Show response attributes object
    • badRequestDetail object

      Bad request detail.

      Hide badRequestDetail attribute Show badRequestDetail attribute object
      • fields array[object]

        Describes all violations in a client request.

        Hide fields attributes Show fields attributes object
        • description string Required

          A description of why the request element is bad.

        • field string Required

          A path that leads to a field in the request body.

    • detail string | null

      Describes the specific conditions or reasons that cause each type of error.

    • error integer(int32) Required

      HTTP status code returned with this error.

      External documentation
    • errorCode string Required

      Application error code returned with this error.

    • parameters array[object]

      Parameters used to give more information about the error.

    • reason string | null

      Application error message returned with this error.

  • 429 application/json

    Too Many Requests.

    Hide headers attributes Show headers attributes
    • RateLimit-Limit

      The maximum number of requests that a user can make within a specific time window.

    • RateLimit-Remaining

      The number of requests remaining in the current rate limit window before the limit is reached.

    • Retry-After

      The minimum time you should wait, in seconds, before retrying the API request. This header might be returned for 429 or 503 error responses.

    Hide response attributes Show response attributes object
    • badRequestDetail object

      Bad request detail.

      Hide badRequestDetail attribute Show badRequestDetail attribute object
      • fields array[object]

        Describes all violations in a client request.

        Hide fields attributes Show fields attributes object
        • description string Required

          A description of why the request element is bad.

        • field string Required

          A path that leads to a field in the request body.

    • detail string | null

      Describes the specific conditions or reasons that cause each type of error.

    • error integer(int32) Required

      HTTP status code returned with this error.

      External documentation
    • errorCode string Required

      Application error code returned with this error.

    • parameters array[object]

      Parameters used to give more information about the error.

    • reason string | null

      Application error message returned with this error.

  • 500 application/json

    Internal Server Error.

    Hide response attributes Show response attributes object
    • badRequestDetail object

      Bad request detail.

      Hide badRequestDetail attribute Show badRequestDetail attribute object
      • fields array[object]

        Describes all violations in a client request.

        Hide fields attributes Show fields attributes object
        • description string Required

          A description of why the request element is bad.

        • field string Required

          A path that leads to a field in the request body.

    • detail string | null

      Describes the specific conditions or reasons that cause each type of error.

    • error integer(int32) Required

      HTTP status code returned with this error.

      External documentation
    • errorCode string Required

      Application error code returned with this error.

    • parameters array[object]

      Parameters used to give more information about the error.

    • reason string | null

      Application error message returned with this error.

GET /api/atlas/v2/groups/{groupId}/metricIntegrations
atlas api metricIntegrations listGroupMetricIntegrations --help
import (
	"os"
	"context"
	"log"
	sdk "go.mongodb.org/atlas-sdk/v20250312001/admin"
)

func main() {
	ctx := context.Background()
	clientID := os.Getenv("MONGODB_ATLAS_CLIENT_ID")
	clientSecret := os.Getenv("MONGODB_ATLAS_CLIENT_SECRET")

	// See https://dochub.mongodb.org/core/atlas-go-sdk-oauth
	client, err := sdk.NewClient(sdk.UseOAuthAuth(clientID, clientSecret))

	if err != nil {
		log.Fatalf("Error: %v", err)
	}

	params = &sdk.ListGroupMetricIntegrationsApiParams{}
	sdkResp, httpResp, err := client.MetricIntegrationsApi.
		ListGroupMetricIntegrationsWithParams(ctx, params).
		Execute()
}
curl --include --header "Authorization: Bearer ${ACCESS_TOKEN}" \
  --header "Accept: application/vnd.atlas.2025-03-12+json" \
  -X GET "https://cloud.mongodb.com/api/atlas/v2/groups/{groupId}/metricIntegrations?pretty=true"
curl --user "${PUBLIC_KEY}:${PRIVATE_KEY}" \
  --digest --include \
  --header "Accept: application/vnd.atlas.2025-03-12+json" \
  -X GET "https://cloud.mongodb.com/api/atlas/v2/groups/{groupId}/metricIntegrations?pretty=true"
Response examples (200)
# Headers

# Payload
{
  "links": [
    {
      "href": "https://cloud.mongodb.com/api/atlas",
      "rel": "self"
    }
  ],
  "results": [
    {
      "aggregationTemporality": "DELTA",
      "authType": "HEADER",
      "endpoint": "https://otel-collector.example.com:4318/v1/metrics",
      "headersRedacted": [
        {
          "name": "Authorization",
          "value": "********oken"
        }
      ],
      "integrationType": "OTEL",
      "metricIntegrationId": "507f1f77bcf86cd799439011",
      "metricSelection": [
        "ATLAS_STREAM_PROCESSING"
      ],
      "oauth": {
        "clientAuthMethod": "CLIENT_SECRET",
        "clientId": "string",
        "scopes": [
          "string"
        ],
        "signingKeyInfo": {
          "algorithm": "RS256",
          "createdAt": "2026-05-04T09:42:00Z",
          "jwksUri": "https://cloud.mongodb.com/api/keys/clientJwks/9f6c2a1e-8b3d-4e7a-a2c5-1f0e9d41d000",
          "kid": "string"
        },
        "tokenEndpoint": "string",
        "tokenRequestParams": {
          "additionalProperty1": "string",
          "additionalProperty2": "string"
        }
      },
      "providerType": "CUSTOM"
    }
  ],
  "totalCount": 42
}
Response examples (400)
{
  "detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
  "error": 400,
  "errorCode": "VALIDATION_ERROR",
  "reason": "Bad Request"
}
Response examples (401)
{
  "detail": "(This is just an example, the exception may not be related to this endpoint)",
  "error": 401,
  "errorCode": "NOT_ORG_GROUP_CREATOR",
  "reason": "Unauthorized"
}
Response examples (403)
{
  "detail": "(This is just an example, the exception may not be related to this endpoint)",
  "error": 403,
  "errorCode": "CANNOT_CHANGE_GROUP_NAME",
  "reason": "Forbidden"
}
Response examples (404)
{
  "detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
  "error": 404,
  "errorCode": "RESOURCE_NOT_FOUND",
  "reason": "Not Found"
}
Response examples (429)
{
  "detail": "(This is just an example, the exception may not be related to this endpoint)",
  "error": 429,
  "errorCode": "RATE_LIMITED",
  "reason": "Too Many Requests"
}
Response examples (500)
{
  "detail": "(This is just an example, the exception may not be related to this endpoint)",
  "error": 500,
  "errorCode": "UNEXPECTED_ERROR",
  "reason": "Internal Server Error"
}